## pciutils 3.9.0

=== Makefile ===
# Makefile for The PCI Utilities
# (c) 1998--2022 Martin Mares <mj@ucw.cz>

OPT=-O2
CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes

VERSION=3.9.0
DATE=2022-11-20

# Host OS and release (override if you are cross-compiling)
HOST=
RELEASE=
CROSS_COMPILE=

# Support for compressed pci.ids (yes/no, default: detect)
ZLIB=

# Support for resolving ID's by DNS (yes/no, default: detect)
DNS=

# Build libpci as a shared library (yes/no; or local for testing; requires GCC)
SHARED=no

# Use libkmod to resolve kernel modules on Linux (yes/no, default: detect)
LIBKMOD=

# Use libudev to resolve device names using hwdb on Linux (yes/no, default: detect)
HWDB=

# ABI version suffix in the name of the shared library
# (as we use proper symbol versioning, this seldom needs changing)
ABI_VERSION=3

# Installation directories
PREFIX=/usr/local
BINDIR=$(PREFIX)/bin
SBINDIR=$(PREFIX)/sbin
SHAREDIR=$(PREFIX)/share
IDSDIR=$(SHAREDIR)
MANDIR:=$(shell if [ -d $(PREFIX)/share/man ] ; then echo $(PREFIX)/share/man ; else echo $(PREFIX)/man ; fi)
INCDIR=$(PREFIX)/include
LIBDIR=$(PREFIX)/lib
PKGCFDIR=$(LIBDIR)/pkgconfig

# Commands
INSTALL=install
DIRINSTALL=install -d
STRIP=-s
ifdef CROSS_COMPILE
CC=$(CROSS_COMPILE)gcc
else
CC=cc
endif
AR=$(CROSS_COMPILE)ar
RANLIB=$(CROSS_COMPILE)ranlib
DLLTOOL=$(CROSS_COMPILE)dlltool
WINDRES=$(CROSS_COMPILE)windres

# Base name of the library (overridden on NetBSD, which has its own libpci)
LIBNAME=libpci

-include lib/config.mk

PCIINC=lib/config.h lib/header.h lib/pci.h lib/types.h lib/sysdep.h
PCIINC_INS=lib/config.h lib/header.h lib/pci.h lib/types.h

export

all: lib/$(PCIIMPLIB) lspci$(EXEEXT) setpci$(EXEEXT) example$(EXEEXT) lspci.8 setpci.8 pcilib.7 pci.ids.5 update-pciids update-pciids.8 $(PCI_IDS)

lib/$(PCIIMPLIB): $(PCIINC) force
	$(MAKE) -C lib all

force:

lib/config.h lib/config.mk:
	cd lib && ./configure

COMMON=common.o
ifeq ($(COMPAT_GETOPT),yes)
PCIINC+=compat/getopt.h
COMMON+=compat/getopt.o
endif

lspci$(EXEEXT): lspci.o ls-vpd.o ls-caps.o ls-caps-vendor.o ls-ecaps.o ls-kernel.o ls-tree.o ls-map.o $(COMMON) lib/$(PCIIMPLIB)
setpci$(EXEEXT): setpci.o $(COMMON) lib/$(PCIIMPLIB)

LSPCIINC=lspci.h pciutils.h $(PCIINC)
lspci.o: lspci.c $(LSPCIINC)
ls-vpd.o: ls-vpd.c $(LSPCIINC)
ls-caps.o: ls-caps.c $(LSPCIINC)
ls-ecaps.o: ls-ecaps.c $(LSPCIINC)
ls-kernel.o: ls-kernel.c $(LSPCIINC)
ls-tree.o: ls-tree.c $(LSPCIINC)
ls-map.o: ls-map.c $(LSPCIINC)

setpci.o: setpci.c pciutils.h $(PCIINC)
common.o: common.c pciutils.h $(PCIINC)
compat/getopt.o: compat/getopt.c

lspci$(EXEEXT): LDLIBS+=$(LIBKMOD_LIBS)
ls-kernel.o: CFLAGS+=$(LIBKMOD_CFLAGS)

update-pciids: update-pciids.sh
	sed <$< >$@ "s@^DEST=.*@DEST=$(if $(IDSDIR),$(IDSDIR)/,)$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
	chmod +x $@

# The example of use of libpci
example$(EXEEXT): example.o lib/$(PCIIMPLIB)
example.o: example.c $(PCIINC)

%$(EXEEXT): %.o
	$(CC) $(LDFLAGS) $(TARGET_ARCH) $^ $(LDLIBS) -o $@

ifdef PCI_OS_WINDOWS
comma := ,
%-rsrc.rc: lib/winrsrc.rc.in
	sed <$< >$@ -e 's,@PCILIB_VERSION@,$(PCILIB_VERSION),' \
		-e 's,@PCILIB_VERSION_WINRC@,$(subst .,\$(comma),$(PCILIB_VERSION).0),' \
		-e 's,@FILENAME@,$(subst -rsrc.rc,$(EXEEXT),$@),' \
		-e 's,@DESCRIPTION@,$(subst -rsrc.rc,,$@),' \
		-e 's,@LIBRARY_BUILD@,0,' \
		-e 's,@DEBUG_BUILD@,$(if $(findstring -g,$(CFLAGS)),1,0),'
%-rsrc.o: %-rsrc.rc
	$(WINDRES) --input=$< --output=$@ --input-format=rc --output-format=coff
lspci$(EXEEXT): lspci-rsrc.o
setpci$(EXEEXT): setpci-rsrc.o
endif

%.8 %.7 %.5: %.man
	M=`echo $(DATE) | sed 's/-01-/-January-/;s/-02-/-February-/;s/-03-/-March-/;s/-04-/-April-/;s/-05-/-May-/;s/-06-/-June-/;s/-07-/-July-/;s/-08-/-August-/;s/-09-/-September-/;s/-10-/-October-/;s/-11-/-November-/;s/-12-/-December-/;s/\(.*\)-\(.*\)-\(.*\)/\3 \2 \1/'` ; sed <$< >$@ "s/@TODAY@/$$M/;s/@VERSION@/pciutils-$(VERSION)/;s#@IDSDIR@#$(IDSDIR)#;s#@PCI_IDS@#$(PCI_IDS)#"

ctags:
	rm -f tags
	find . -name '*.[hc]' -exec ctags --append {} +

TAGS:
	rm -f TAGS
	find . -name '*.[hc]' -exec etags --append {} +

clean:
	rm -f `find . -name "*~" -o -name "*.[oa]" -o -name "\#*\#" -o -name TAGS -o -name core -o -name "*.orig"`
	rm -f update-pciids lspci$(EXEEXT) setpci$(EXEEXT) example$(EXEEXT) lib/config.* *.[578] pci.ids.gz lib/*.pc lib/*.so lib/*.so.* lib/*.dll lib/*.def lib/dllrsrc.rc *-rsrc.rc tags
	rm -rf maint/dist

distclean: clean

install: all
# -c is ignored on Linux, but required on FreeBSD
	$(DIRINSTALL) -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7 $(DESTDIR)$(MANDIR)/man5
	$(INSTALL) -c -m 755 $(STRIP) lspci$(EXEEXT) $(DESTDIR)$(LSPCIDIR)
	$(INSTALL) -c -m 755 $(STRIP) setpci$(EXEEXT) $(DESTDIR)$(SBINDIR)
	$(INSTALL) -c -m 755 update-pciids $(DESTDIR)$(SBINDIR)
ifneq ($(IDSDIR),)
	$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(IDSDIR)
else
	$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(SBINDIR)
endif
	$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
	$(INSTALL) -c -m 644 pcilib.7 $(DESTDIR)$(MANDIR)/man7
	$(INSTALL) -c -m 644 pci.ids.5 $(DESTDIR)$(MANDIR)/man5
ifeq ($(SHARED),yes)
ifeq ($(LIBEXT),dylib)
	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(ABI_VERSION).$(LIBEXT)
else ifeq ($(LIBEXT),so)
	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT).$(ABI_VERSION)
endif
endif

ifeq ($(SHARED),yes)
install: install-pcilib
endif

install-pcilib: lib/$(PCILIB)
	$(DIRINSTALL) -m 755 $(DESTDIR)$(LIBDIR)
ifeq ($(SHARED)_$(LIBEXT),yes_dll)
# DLL library must have executable flag on disk and be placed in same directory as where are EXE files
	$(DIRINSTALL) -m 755 $(DESTDIR)$(SBINDIR)
	$(INSTALL) -c -m 755 lib/$(PCILIB) $(DESTDIR)$(SBINDIR)
else
	$(INSTALL) -c -m 644 lib/$(PCILIB) $(DESTDIR)$(LIBDIR)
endif

install-lib: $(PCIINC_INS) install-pcilib
	$(DIRINSTALL) -m 755 $(DESTDIR)$(INCDIR)/pci $(DESTDIR)$(PKGCFDIR)
	$(INSTALL) -c -m 644 $(PCIINC_INS) $(DESTDIR)$(INCDIR)/pci
	$(INSTALL) -c -m 644 lib/$(PCILIBPC) $(DESTDIR)$(PKGCFDIR)
ifneq ($(PCIIMPLIB),$(PCILIB))
	$(INSTALL) -c -m 644 lib/$(PCIIMPLIB) $(DESTDIR)$(LIBDIR)
endif
ifneq ($(PCIIMPDEF),)
	$(INSTALL) -c -m 644 lib/$(PCIIMPDEF) $(DESTDIR)$(LIBDIR)
endif
ifeq ($(SHARED),yes)
ifeq ($(LIBEXT),dylib)
	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(ABI_VERSION).$(LIBEXT)
	ln -sf $(LIBNAME).$(ABI_VERSION).$(LIBEXT) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT)
else ifeq ($(LIBEXT),so)
	ln -sf $(PCILIB) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT).$(ABI_VERSION)
	ln -sf $(LIBNAME).$(LIBEXT).$(ABI_VERSION) $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT)
endif
endif

uninstall: all
	rm -f $(DESTDIR)$(SBINDIR)/lspci$(EXEEXT) $(DESTDIR)$(SBINDIR)/setpci$(EXEEXT) $(DESTDIR)$(SBINDIR)/update-pciids
ifneq ($(IDSDIR),)
	rm -f $(DESTDIR)$(IDSDIR)/$(PCI_IDS)
else
	rm -f $(DESTDIR)$(SBINDIR)/$(PCI_IDS)
endif
	rm -f $(DESTDIR)$(MANDIR)/man8/lspci.8 $(DESTDIR)$(MANDIR)/man8/setpci.8 $(DESTDIR)$(MANDIR)/man8/update-pciids.8
	rm -f $(DESTDIR)$(MANDIR)/man7/pcilib.7
	rm -f $(DESTDIR)$(MANDIR)/man5/pci.ids.5
ifeq ($(SHARED)_$(LIBEXT),yes_dll)
	rm -f $(DESTDIR)$(SBINDIR)/$(PCILIB)
else
	rm -f $(DESTDIR)$(LIBDIR)/$(PCILIB)
endif
	rm -f $(DESTDIR)$(PKGCFDIR)/$(PCILIBPC)
	rm -f $(addprefix $(DESTDIR)$(INCDIR)/pci/,$(notdir $(PCIINC_INS)))
ifneq ($(PCIIMPLIB),$(PCILIB))
	rm -f $(DESTDIR)$(LIBDIR)/$(PCIIMPLIB)
endif
ifneq ($(PCIIMPDEF),)
	rm -f $(DESTDIR)$(LIBDIR)/$(PCIIMPDEF)
endif
ifeq ($(SHARED),yes)
ifneq ($(LIBEXT),dll)
	rm -f $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT)
ifeq ($(LIBEXT),dylib)
	rm -f $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(ABI_VERSION).$(LIBEXT)
else
	rm -f $(DESTDIR)$(LIBDIR)/$(LIBNAME).$(LIBEXT).$(ABI_VERSION)
endif
endif
endif

pci.ids.gz: pci.ids
	gzip -9n <$< >$@

.PHONY: all clean distclean install install-lib uninstall force tags TAGS

=== lib/Makefile ===
# Makefile for The PCI Library
# (c) 1999--2014 Martin Mares <mj@ucw.cz>

# Expects to be invoked from the top-level Makefile and uses lots of its variables.

OBJS=init access generic dump names filter names-hash names-parse names-net names-cache names-hwdb params caps
INCL=internal.h pci.h config.h header.h sysdep.h types.h

ifdef PCI_HAVE_PM_LINUX_SYSFS
OBJS += sysfs
endif

ifdef PCI_HAVE_PM_LINUX_PROC
OBJS += proc
endif

ifdef PCI_HAVE_PM_INTEL_CONF
OBJS += i386-ports
endif

ifdef PCI_HAVE_PM_MMIO_CONF
OBJS += mmio-ports
endif

ifdef PCI_HAVE_PM_DUMP
OBJS += dump
endif

ifdef PCI_HAVE_PM_FBSD_DEVICE
OBJS += fbsd-device
CFLAGS += -I/usr/src/sys
ifdef FREEBSD_SYS
CFLAGS += -I${FREEBSD_SYS}
endif
endif

ifdef PCI_HAVE_PM_OBSD_DEVICE
OBJS += obsd-device
endif

ifdef PCI_HAVE_PM_AIX_DEVICE
OBJS += aix-device
endif

ifdef PCI_HAVE_PM_NBSD_LIBPCI
OBJS += nbsd-libpci
endif

ifdef PCI_HAVE_PM_DARWIN_DEVICE
OBJS += darwin
endif

ifdef PCI_HAVE_PM_SYLIXOS_DEVICE
OBJS += sylixos-device
endif

ifdef PCI_HAVE_PM_HURD_CONF
OBJS += hurd
endif

ifdef PCI_HAVE_PM_WIN32_CFGMGR32
OBJS += emulated
OBJS += win32-cfgmgr32
endif

ifdef PCI_HAVE_PM_WIN32_KLDBG
OBJS += win32-kldbg
endif

ifdef PCI_HAVE_PM_WIN32_SYSDBG
OBJS += win32-sysdbg
endif

all: $(PCILIB) $(PCILIBPC)

ifeq ($(SHARED),no)
$(PCILIB): $(addsuffix .o,$(OBJS))
	rm -f $@
	$(AR) rcs $@ $^
	$(RANLIB) $@
else
ifeq ($(LIBEXT),dll)
all: $(PCIIMPDEF) $(PCIIMPLIB)
build.def: $(PCIIMPDEF)
$(PCIIMPDEF): libpci.ver ver2def.pl
	perl ver2def.pl libpci.ver $(PCILIB) build.def $(PCIIMPDEF)
$(PCIIMPLIB): $(PCIIMPDEF)
	$(DLLTOOL) --input-def $< --output-lib $@
comma := ,
dllrsrc.rc: winrsrc.rc.in
	sed <$< >$@ -e 's,@PCILIB_VERSION@,$(PCILIB_VERSION),' \
		-e 's,@PCILIB_VERSION_WINRC@,$(subst .,\$(comma),$(PCILIB_VERSION).0),' \
		-e 's,@FILENAME@,$(PCILIB),' \
		-e 's,@DESCRIPTION@,libpci,' \
		-e 's,@LIBRARY_BUILD@,1,' \
		-e 's,@DEBUG_BUILD@,$(if $(findstring -g,$(CFLAGS)),1,0),'
dllrsrc.o: dllrsrc.rc
	$(WINDRES) --input=$< --output=$@ --input-format=rc --output-format=coff
OBJS += dllrsrc
endif
CFLAGS += -fPIC -fvisibility=hidden
$(PCILIB): $(addsuffix .o,$(OBJS))
	$(CC) -shared $(CFLAGS) $(LDFLAGS) $(PCILIB_LDFLAGS) -o $@ $^ $(LIB_LDLIBS)
ifeq ($(LIBEXT),dll)
$(PCILIB): build.def
endif
endif

$(PCILIBPC): libpci.pc.in
	sed <$< >$@ -e 's,@PREFIX@,$(PREFIX),' \
		-e 's,@INCDIR@,$(INCDIR),' \
		-e 's,@LIBDIR@,$(LIBDIR),' \
		-e 's,@IDSDIR@,$(IDSDIR),' \
		-e 's,@VERSION@,$(VERSION),' \
		-e 's,@LDLIBS@,$(LDLIBS),' \
		-e 's,@WITH_LIBS@,$(WITH_LIBS),'

init.o: init.c $(INCL)
access.o: access.c $(INCL)
params.o: params.c $(INCL)
i386-ports.o: i386-ports.c $(INCL) i386-io-hurd.h i386-io-linux.h i386-io-sunos.h i386-io-windows.h i386-io-cygwin.h
mmio-ports.o: mmio-ports.c $(INCL)
proc.o: proc.c $(INCL) pread.h
sysfs.o: sysfs.c $(INCL) pread.h
generic.o: generic.c $(INCL)
emulated.o: emulated.c $(INCL)
syscalls.o: syscalls.c $(INCL)
obsd-device.o: obsd-device.c $(INCL)
fbsd-device.o: fbsd-device.c $(INCL)
aix-device.o: aix-device.c $(INCL)
dump.o: dump.c $(INCL)
names.o: names.c $(INCL) names.h
names-cache.o: names-cache.c $(INCL) names.h
names-hash.o: names-hash.c $(INCL) names.h
names-net.o: names-net.c $(INCL) names.h
names-parse.o: names-parse.c $(INCL) names.h
names-hwdb.o: names-hwdb.c $(INCL) names.h
filter.o: filter.c $(INCL)
nbsd-libpci.o: nbsd-libpci.c $(INCL)
hurd.o: hurd.c $(INCL)
win32-cfgmgr32.o: win32-cfgmgr32.c $(INCL)
win32-kldbg.o: win32-kldbg.c $(INCL)
win32-sysdbg.o: win32-sysdbg.c $(INCL)

# MinGW32 toolchain has some required Win32 header files in /ddk subdirectory.
# But these header files include another header files from /ddk subdirectory
# and expect that build system has already set /ddk subdirectory into includes.
# So include /ddk subdirectory of each system predefined include path via -I.
ifdef PCI_HAVE_PM_WIN32_CFGMGR32
DDKCFLAGS:=$(shell echo | $(CC) $(CFLAGS) -E -Wp,-v -o /dev/null - 2>&1 | sed -n 's/^ \(.*\)/-I\1\/ddk/p')
win32-cfgmgr32.o: override CFLAGS+=$(DDKCFLAGS)
endif

=== debian/changelog ===
pciutils (1:3.9.0-4) unstable; urgency=medium

  * Do not trim debian/changelog.
  * Add debian/patches metadata.
  * Add pkgconf as a preferred alternative to pkg-config in Build-Depends.
  * Make globs in debhelper fragment files more specific.

 -- Guillem Jover <guillem@debian.org>  Wed, 18 Jan 2023 00:50:53 +0100

pciutils (1:3.9.0-3) unstable; urgency=medium

  * Use new upstream change for symbol aliases disappearance fix instead of
    reverting the original commit.
  * Switch to Standards-Version 4.6.2 (no changes needed).
  * Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sat, 07 Jan 2023 22:58:21 +0100

pciutils (1:3.9.0-2) unstable; urgency=medium

  * Enable LFS build options. This should ABI safe for the shared library as
    it does not expose any problematic type.
  * Update lintian overrides.

 -- Guillem Jover <guillem@debian.org>  Sat, 03 Dec 2022 14:13:08 +0100

pciutils (1:3.9.0-1) unstable; urgency=medium

  * New upstream release.
    - Revert an upstream commit that makes some symbol aliases disappear,
      breaking the ABI.

 -- Guillem Jover <guillem@debian.org>  Thu, 24 Nov 2022 03:47:18 +0100

=== debian/control ===
Source: pciutils
Section: admin
Priority: optional
Maintainer: Guillem Jover <guillem@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 debhelper (>= 13.10),
 pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
 pkgconf | pkg-config,
 libkmod-dev [linux-any],
 libudev-dev (>= 196) [linux-any],
 zlib1g-dev,
Rules-Requires-Root: no
Standards-Version: 4.6.2
Homepage: https://mj.ucw.cz/sw/pciutils/
Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git

Package: pciutils
Priority: standard
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 libpci3 (= ${binary:Version}),
Suggests:
 bzip2,
 wget | curl | lynx,
Description: PCI utilities
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus.

Package: libpci-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libpci3 (= ${binary:Version}),
 libudev-dev (>= 196) [linux-any],
 zlib1g-dev,
Description: PCI utilities (development files)
 This package contains the <pci/pci.h>, <pci/config.h> and <pci/header.h>
 header files, as well as the libpci static library.

Package: libpci3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 pci.ids (>= 0.0~2019.11.10-2),
Description: PCI utilities (shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.

Package: pciutils-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI Utilities (udeb)
 This package contains various utilities for inspecting and setting of
 devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.

Package: libpci3-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>
Section: debian-installer
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: PCI Utilities (udeb shared library)
 This package contains the libpci shared library files.
 .
 The libpci library provides portable access to configuration
 registers of devices connected to the PCI bus.
 .
 This is a minimal version for use in debian-installer.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

confflags =
confflags += OPT="$(CFLAGS)"
confflags += SHARED=yes
confflags += HOST=$(DEB_HOST_GNU_CPU)-$(DEB_HOST_GNU_SYSTEM)
ifneq ($(DEB_HOST_GNU_TYPE),$(DEB_BUILD_GNU_TYPE))
export PKG_CONFIG = $(DEB_HOST_GNU_TYPE)-pkg-config
confflags += CROSS_COMPILE=$(DEB_HOST_GNU_TYPE)-
endif
ifeq ($(DEB_HOST_ARCH_OS),linux)
confflags += LIBKMOD=yes
confflags += HWDB=yes
endif
confflags += PREFIX=/usr
confflags += LIBDIR=/usr/lib/$(DEB_HOST_MULTIARCH)
confflags += INCDIR=/usr/include/$(DEB_HOST_MULTIARCH)
confflags += SBINDIR=/usr/bin
confflags += IDSDIR=/usr/share/misc

# These two are supposed to override only the update-pciids generator to force
# a non compressed database.
buildflags =
buildflags += PCI_COMPRESSED_IDS=0
buildflags += PCI_IDS=pci.ids

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- $(confflags) $(buildflags)

override_dh_auto_install:
	dh_auto_install -- $(confflags) install-lib

ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
	# pciutils-udeb
	# Reduce by removing subsystem ids and comments.
	cat /usr/share/misc/pci.ids | \
	  perl -ne 'print unless /^(\s*#|\s*$|\t\t)/' | \
	  gzip -9n >debian/pciutils-udeb/usr/share/misc/pci.ids.gz
endif

override_dh_makeshlibs:
	dh_makeshlibs -a -V 'libpci3 (>= 1:3.5.2-1)'

override_dh_installchangelogs:
	dh_installchangelogs --no-trim

## pciutils 3.10.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2022 Martin Mares <mj@ucw.cz>
+# (c) 1998--2023 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.9.0
-DATE=2022-11-20
+VERSION=3.10.0
+DATE=2023-05-01
 
 # Host OS and release (override if you are cross-compiling)
 HOST=
@@ -45,10 +45,11 @@
 # Commands
 INSTALL=install
 DIRINSTALL=install -d
+ifdef CROSS_COMPILE
+STRIP=--strip-program $(CROSS_COMPILE)-strip
+CC=$(CROSS_COMPILE)gcc
+else
 STRIP=-s
-ifdef CROSS_COMPILE
-CC=$(CROSS_COMPILE)gcc
-else
 CC=cc
 endif
 AR=$(CROSS_COMPILE)ar

=== lib/Makefile ===
--- 
+++ 
@@ -20,6 +20,10 @@
 
 ifdef PCI_HAVE_PM_MMIO_CONF
 OBJS += mmio-ports
+endif
+
+ifdef PCI_HAVE_PM_ECAM
+OBJS += ecam
 endif
 
 ifdef PCI_HAVE_PM_DUMP
@@ -120,6 +124,7 @@
 params.o: params.c $(INCL)
 i386-ports.o: i386-ports.c $(INCL) i386-io-hurd.h i386-io-linux.h i386-io-sunos.h i386-io-windows.h i386-io-cygwin.h
 mmio-ports.o: mmio-ports.c $(INCL)
+ecam.o: ecam.c $(INCL)
 proc.o: proc.c $(INCL) pread.h
 sysfs.o: sysfs.c $(INCL) pread.h
 generic.o: generic.c $(INCL)

=== debian/changelog ===
pciutils (1:3.10.0-2build1) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:15:21 +0200

pciutils (1:3.10.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Guillem Jover <guillem@debian.org>  Mon, 12 Jun 2023 23:26:42 +0200

pciutils (1:3.10.0-1) experimental; urgency=medium

  * New upstream release.
    - Remove patch that was taken from upstream.
    - Cherry-pick patch from upstream to fix strip usage on cross-compilation.
    - Update copyright years.

 -- Guillem Jover <guillem@debian.org>  Sun, 07 May 2023 01:57:42 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),

## pciutils 3.13.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2023 Martin Mares <mj@ucw.cz>
+# (c) 1998--2024 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.10.0
-DATE=2023-05-01
+VERSION=3.13.0
+DATE=2024-05-30
 
 # Host OS and release (override if you are cross-compiling)
 HOST=
@@ -45,11 +45,11 @@
 # Commands
 INSTALL=install
 DIRINSTALL=install -d
+STRIP=-s
 ifdef CROSS_COMPILE
-STRIP=--strip-program $(CROSS_COMPILE)-strip
+STRIP+=--strip-program $(CROSS_COMPILE)strip
 CC=$(CROSS_COMPILE)gcc
 else
-STRIP=-s
 CC=cc
 endif
 AR=$(CROSS_COMPILE)ar
@@ -65,9 +65,15 @@
 PCIINC=lib/config.h lib/header.h lib/pci.h lib/types.h lib/sysdep.h
 PCIINC_INS=lib/config.h lib/header.h lib/pci.h lib/types.h
 
+UTILINC=pciutils.h bitops.h $(PCIINC)
+
+LMR=margin_hw.o margin.o margin_log.o margin_results.o margin_args.o
+LMROBJS=$(addprefix lmr/,$(LMR))
+LMRINC=lmr/lmr.h $(UTILINC)
+
 export
 
-all: lib/$(PCIIMPLIB) lspci$(EXEEXT) setpci$(EXEEXT) example$(EXEEXT) lspci.8 setpci.8 pcilib.7 pci.ids.5 update-pciids update-pciids.8 $(PCI_IDS)
+all: lib/$(PCIIMPLIB) lspci$(EXEEXT) setpci$(EXEEXT) example$(EXEEXT) lspci.8 setpci.8 pcilib.7 pci.ids.5 update-pciids update-pciids.8 $(PCI_IDS) pcilmr$(EXEEXT) pcilmr.8
 
 lib/$(PCIIMPLIB): $(PCIINC) force
 	$(MAKE) -C lib all
@@ -86,7 +92,7 @@
 lspci$(EXEEXT): lspci.o ls-vpd.o ls-caps.o ls-caps-vendor.o ls-ecaps.o ls-kernel.o ls-tree.o ls-map.o $(COMMON) lib/$(PCIIMPLIB)
 setpci$(EXEEXT): setpci.o $(COMMON) lib/$(PCIIMPLIB)
 
-LSPCIINC=lspci.h pciutils.h $(PCIINC)
+LSPCIINC=lspci.h $(UTILINC)
 lspci.o: lspci.c $(LSPCIINC)
 ls-vpd.o: ls-vpd.c $(LSPCIINC)
 ls-caps.o: ls-caps.c $(LSPCIINC)
@@ -95,23 +101,29 @@
 ls-tree.o: ls-tree.c $(LSPCIINC)
 ls-map.o: ls-map.c $(LSPCIINC)
 
-setpci.o: setpci.c pciutils.h $(PCIINC)
-common.o: common.c pciutils.h $(PCIINC)
+setpci.o: setpci.c $(UTILINC)
+common.o: common.c $(UTILINC)
 compat/getopt.o: compat/getopt.c
 
 lspci$(EXEEXT): LDLIBS+=$(LIBKMOD_LIBS)
-ls-kernel.o: CFLAGS+=$(LIBKMOD_CFLAGS)
+ls-kernel.o: override CFLAGS+=$(LIBKMOD_CFLAGS)
 
 update-pciids: update-pciids.sh
-	sed <$< >$@ "s@^DEST=.*@DEST=$(if $(IDSDIR),$(IDSDIR)/,)$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@"
+	sed <$< >$@ "s@^DEST=.*@DEST=$(if $(IDSDIR),$(IDSDIR)/,)$(PCI_IDS)@;s@^PCI_COMPRESSED_IDS=.*@PCI_COMPRESSED_IDS=$(PCI_COMPRESSED_IDS)@;s@VERSION=.*@VERSION=$(VERSION)@"
 	chmod +x $@
 
 # The example of use of libpci
 example$(EXEEXT): example.o lib/$(PCIIMPLIB)
 example.o: example.c $(PCIINC)
 
+$(LMROBJS) pcilmr.o: override CFLAGS+=-I .
+$(LMROBJS): %.o: %.c $(LMRINC)
+
+pcilmr$(EXEEXT): pcilmr.o $(LMROBJS) $(COMMON) lib/$(PCIIMPLIB)
+pcilmr.o: pcilmr.c $(LMRINC)
+
 %$(EXEEXT): %.o
-	$(CC) $(LDFLAGS) $(TARGET_ARCH) $^ $(LDLIBS) -o $@
+	$(CC) $(CFLAGS) $(LDFLAGS) $(TARGET_ARCH) $^ $(LDLIBS) -o $@
 
 ifdef PCI_OS_WINDOWS
 comma := ,
@@ -126,6 +138,7 @@
 	$(WINDRES) --input=$< --output=$@ --input-format=rc --output-format=coff
 lspci$(EXEEXT): lspci-rsrc.o
 setpci$(EXEEXT): setpci-rsrc.o
+pcilmr$(EXEEXT): pcilmr-rsrc.o
 endif
 
 %.8 %.7 %.5: %.man
@@ -141,7 +154,7 @@
 
 clean:
 	rm -f `find . -name "*~" -o -name "*.[oa]" -o -name "\#*\#" -o -name TAGS -o -name core -o -name "*.orig"`
-	rm -f update-pciids lspci$(EXEEXT) setpci$(EXEEXT) example$(EXEEXT) lib/config.* *.[578] pci.ids.gz lib/*.pc lib/*.so lib/*.so.* lib/*.dll lib/*.def lib/dllrsrc.rc *-rsrc.rc tags
+	rm -f update-pciids lspci$(EXEEXT) setpci$(EXEEXT) example$(EXEEXT) lib/config.* *.[578] pci.ids.gz lib/*.pc lib/*.so lib/*.so.* lib/*.dll lib/*.def lib/dllrsrc.rc *-rsrc.rc tags pcilmr$(EXEEXT)
 	rm -rf maint/dist
 
 distclean: clean
@@ -151,13 +164,14 @@
 	$(DIRINSTALL) -m 755 $(DESTDIR)$(BINDIR) $(DESTDIR)$(SBINDIR) $(DESTDIR)$(IDSDIR) $(DESTDIR)$(MANDIR)/man8 $(DESTDIR)$(MANDIR)/man7 $(DESTDIR)$(MANDIR)/man5
 	$(INSTALL) -c -m 755 $(STRIP) lspci$(EXEEXT) $(DESTDIR)$(LSPCIDIR)
 	$(INSTALL) -c -m 755 $(STRIP) setpci$(EXEEXT) $(DESTDIR)$(SBINDIR)
+	$(INSTALL) -c -m 755 $(STRIP) pcilmr$(EXEEXT) $(DESTDIR)$(SBINDIR)
 	$(INSTALL) -c -m 755 update-pciids $(DESTDIR)$(SBINDIR)
 ifneq ($(IDSDIR),)
 	$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(IDSDIR)
 else
 	$(INSTALL) -c -m 644 $(PCI_IDS) $(DESTDIR)$(SBINDIR)
 endif
-	$(INSTALL) -c -m 644 lspci.8 setpci.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
+	$(INSTALL) -c -m 644 lspci.8 setpci.8 pcilmr.8 update-pciids.8 $(DESTDIR)$(MANDIR)/man8
 	$(INSTALL) -c -m 644 pcilib.7 $(DESTDIR)$(MANDIR)/man7
 	$(INSTALL) -c -m 644 pci.ids.5 $(DESTDIR)$(MANDIR)/man5
 ifeq ($(SHARED),yes)
@@ -203,13 +217,13 @@
 endif
 
 uninstall: all
-	rm -f $(DESTDIR)$(SBINDIR)/lspci$(EXEEXT) $(DESTDIR)$(SBINDIR)/setpci$(EXEEXT) $(DESTDIR)$(SBINDIR)/update-pciids
+	rm -f $(DESTDIR)$(LSPCIDIR)/lspci$(EXEEXT) $(DESTDIR)$(SBINDIR)/setpci$(EXEEXT) $(DESTDIR)$(SBINDIR)/pcilmr$(EXEEXT) $(DESTDIR)$(SBINDIR)/update-pciids
 ifneq ($(IDSDIR),)
 	rm -f $(DESTDIR)$(IDSDIR)/$(PCI_IDS)
 else
 	rm -f $(DESTDIR)$(SBINDIR)/$(PCI_IDS)
 endif
-	rm -f $(DESTDIR)$(MANDIR)/man8/lspci.8 $(DESTDIR)$(MANDIR)/man8/setpci.8 $(DESTDIR)$(MANDIR)/man8/update-pciids.8
+	rm -f $(DESTDIR)$(MANDIR)/man8/lspci.8 $(DESTDIR)$(MANDIR)/man8/setpci.8 $(DESTDIR)$(MANDIR)/man8/pcilmr.8 $(DESTDIR)$(MANDIR)/man8/update-pciids.8
 	rm -f $(DESTDIR)$(MANDIR)/man7/pcilib.7
 	rm -f $(DESTDIR)$(MANDIR)/man5/pci.ids.5
 ifeq ($(SHARED)_$(LIBEXT),yes_dll)

=== debian/changelog ===
pciutils (1:3.13.0-2) unstable; urgency=medium

  * Switch to Standards-Version 4.7.1 (no changes needed).
  * Update copyright years.
  * Take patch from upstream to fix build failure on GNU/Hurd amd64 port.

 -- Guillem Jover <guillem@debian.org>  Sat, 22 Feb 2025 18:37:22 +0100

pciutils (1:3.13.0-1) unstable; urgency=medium

  * New upstream release.
  * Switch to Standards-Version 4.7.0 (no changes needed).
  * Remove pkg-config alternative from pkgconf Build-Depends.

 -- Guillem Jover <guillem@debian.org>  Thu, 20 Jun 2024 02:11:20 +0200

pciutils (1:3.12.0-1) unstable; urgency=medium

  * New upstream release.

 -- Guillem Jover <guillem@debian.org>  Mon, 08 Apr 2024 03:36:14 +0200

pciutils (1:3.11.1-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch that was taken from upstream.
    - Update copyright years.
    - Install new pcilmr tool.
  * Wrap fields in debian/tests/control.
  * Take DPKG_ROOT into account in maintainer scripts.
  * Replace pkg-config with pkgconf in debian/tests/control.
  * Switch from future=+lfs to abi=+lfs build flags feature, and Build-Depends
    on dpkg-dev >= 1.22.0.
  * Fix indentation in debian/tests/test-libpci.

 -- Guillem Jover <guillem@debian.org>  Thu, 07 Mar 2024 06:49:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: pciutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Guillem Jover <guillem@debian.org>
+Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
  debhelper (>= 13.10),
+ dpkg-dev (>= 1.22.0),
  pci.ids (>= 0.0~2019.11.10-2) <!noudeb>,
- pkgconf | pkg-config,
+ pkgconf,
  libkmod-dev [linux-any],
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
 Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.1
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sign/ \
https://mj.ucw.cz/download/linux/pci/pciutils-([\d\.]+).tar.(?:xz|gz|bz2) debian uupdate

## pciutils 3.14.0

=== Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
 # Makefile for The PCI Utilities
-# (c) 1998--2024 Martin Mares <mj@ucw.cz>
+# (c) 1998--2025 Martin Mares <mj@ucw.cz>
 
 OPT=-O2
 CFLAGS=$(OPT) -Wall -W -Wno-parentheses -Wstrict-prototypes -Wmissing-prototypes
 
-VERSION=3.13.0
-DATE=2024-05-30
+VERSION=3.14.0
+DATE=2025-06-21
 
 # Host OS and release (override if you are cross-compiling)
 HOST=

=== lib/Makefile ===
--- 
+++ 
@@ -20,10 +20,12 @@
 
 ifdef PCI_HAVE_PM_MMIO_CONF
 OBJS += mmio-ports
+PCI_USE_PHYSMEM = 1
 endif
 
 ifdef PCI_HAVE_PM_ECAM
 OBJS += ecam
+PCI_USE_PHYSMEM = 1
 endif
 
 ifdef PCI_HAVE_PM_DUMP
@@ -75,6 +77,28 @@
 OBJS += win32-sysdbg
 endif
 
+ifdef PCI_OS_WINDOWS
+OBJS += win32-helpers
+endif
+
+ifdef PCI_USE_PHYSMEM
+ifdef PCI_OS_WINDOWS
+OBJS += physmem-windows
+else ifdef PCI_OS_DJGPP
+OBJS += physmem-djgpp
+else
+OBJS += physmem-posix
+endif
+endif
+
+ifdef PCI_HAVE_PM_AOS_EXPANSION
+OBJS += aos-expansion
+endif
+
+ifdef PCI_HAVE_PM_RT_THREAD_SMART_DM
+OBJS += rt-thread-smart-dm
+endif
+
 all: $(PCILIB) $(PCILIBPC)
 
 ifeq ($(SHARED),no)
@@ -122,11 +146,11 @@
 init.o: init.c $(INCL)
 access.o: access.c $(INCL)
 params.o: params.c $(INCL)
-i386-ports.o: i386-ports.c $(INCL) i386-io-hurd.h i386-io-linux.h i386-io-sunos.h i386-io-windows.h i386-io-cygwin.h
-mmio-ports.o: mmio-ports.c $(INCL)
-ecam.o: ecam.c $(INCL)
-proc.o: proc.c $(INCL) pread.h
-sysfs.o: sysfs.c $(INCL) pread.h
+i386-ports.o: i386-ports.c $(INCL) i386-io-access.h i386-io-beos.h i386-io-cygwin.h i386-io-djgpp.h i386-io-haiku.h i386-io-hurd.h i386-io-linux.h i386-io-openbsd.h i386-io-sunos.h i386-io-windows.h
+mmio-ports.o: mmio-ports.c $(INCL) physmem.h physmem-access.h
+ecam.o: ecam.c $(INCL) physmem.h physmem-access.h
+proc.o: proc.c $(INCL)
+sysfs.o: sysfs.c $(INCL)
 generic.o: generic.c $(INCL)
 emulated.o: emulated.c $(INCL)
 syscalls.o: syscalls.c $(INCL)
@@ -143,9 +167,11 @@
 filter.o: filter.c $(INCL)
 nbsd-libpci.o: nbsd-libpci.c $(INCL)
 hurd.o: hurd.c $(INCL)
-win32-cfgmgr32.o: win32-cfgmgr32.c $(INCL)
-win32-kldbg.o: win32-kldbg.c $(INCL)
-win32-sysdbg.o: win32-sysdbg.c $(INCL)
+win32-helpers.o: win32-helpers.c $(INCL) win32-helpers.h
+win32-cfgmgr32.o: win32-cfgmgr32.c $(INCL) win32-helpers.h
+win32-kldbg.o: win32-kldbg.c $(INCL) win32-helpers.h
+win32-sysdbg.o: win32-sysdbg.c $(INCL) win32-helpers.h
+i386-io-windows.h: win32-helpers.h
 
 # MinGW32 toolchain has some required Win32 header files in /ddk subdirectory.
 # But these header files include another header files from /ddk subdirectory

=== debian/changelog ===
pciutils (1:3.14.0-1build1) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Thu, 28 Aug 2025 19:30:56 +0000

pciutils (1:3.14.0-1) unstable; urgency=medium

  * New upstream release.
    - Remove patch that was taken from upstream.
    - Update copyright years.
  * Remove «Rules-Requires-Root: no», which is the current default.
  * Remove «Priority: optional» field, which is the current default.
  * Switch to Standards-Version 4.7.2 (no changes needed).

 -- Guillem Jover <guillem@debian.org>  Sun, 10 Aug 2025 20:35:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: pciutils
 Section: admin
-Priority: optional
 Maintainer: Guillem Jover <guillem@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
@@ -11,8 +10,7 @@
  libkmod-dev [linux-any],
  libudev-dev (>= 196) [linux-any],
  zlib1g-dev,
-Rules-Requires-Root: no
-Standards-Version: 4.7.1
+Standards-Version: 4.7.2
 Homepage: https://mj.ucw.cz/sw/pciutils/
 Vcs-Browser: https://git.hadrons.org/cgit/debian/pkgs/pciutils.git
 Vcs-Git: https://git.hadrons.org/git/debian/pkgs/pciutils.git

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 #export DH_VERBOSE=1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all future=+lfs
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=+lfs
 
 DPKG_EXPORT_BUILDFLAGS = 1
 include /usr/share/dpkg/buildflags.mk

=== debian/tests/control ===
Tests:
 test-libpci
Restrictions:
 allow-stderr
 superficial
Depends:
 build-essential,
 libpci-dev,
 pkgconf,
